Page MenuHomePhabricator

API should allow blocking/unblocking using userid
Closed, ResolvedPublic

Description

Please allow blocking/unblocking by userid, not username. (action=block/action=unblock)

Thanks.


Version: 1.20.x
Severity: enhancement

Details

Reference
bz32496
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:00 AM
bzimport set Reference to bz32496.
bzimport added a subscriber: Unknown Object (MLST).

(In reply to comment #1)

https://gerrit.wikimedia.org/r/17588

Status Abandoned

Still there is a patch in gerrit that somebody could pick up - restoring keyword.

Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 20 2015, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 8:27 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 6 2016, 6:42 AM

Change 325802 had a related patch set uploaded (by Subins2000):
Block API - Allow blocking/unblocking using userid

https://gerrit.wikimedia.org/r/325802

Dereckson added subscribers: Umherirrender, Dereckson.

@Umherirrender Do you remember a case you'd found this useful? That could be interesting you provide a use case to inspire documentation.

Change 325802 merged by jenkins-bot:
Block API: Allow blocking/unblocking by user's ID

https://gerrit.wikimedia.org/r/325802

Anomie closed this task as Resolved.Dec 13 2016, 5:18 PM

@Umherirrender Do you remember a case you'd found this useful? That could be interesting you provide a use case to inspire documentation.

This was created to complete the list of modules missing an id parameter as documented in T21195, there is no specific use case you can use for documentation (and when I would need it 5 years ago I would have now a workaround and did not know a use case any more)